Skip to main content

Get All Rh Event Schemas

GET 

/v1/rh-event-schema

Get all standard events schema, requires org:config:view permissions

Request

Query Parameters

    page_size Page Size

    Possible values: >= 1 and <= 10000

    Default value: 50

    The maximum number of elements to be returned per call

    cursor Cursor

    Possible values: non-empty and <= 128 characters

    Default value: 0

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

Responses

Successful Response

Schema

    rh_event_schemas

    object[]

    required

    A list of standard event schemas

  • Array [

  • event_name Event Name (string)required

    Name of the event, unique for sandbox_id

    value_jsonschema object

    Default value: [object Object]

    JSONSchema definition of the setting

    state State (string)

    Possible values: [enabled, disabled, deny]

    An enumeration.

    description Description (string)required

    Description of the event

  • ]

  • cursor Cursor (string)required

    Possible values: non-empty and <= 128 characters

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

Loading...